﻿cd 'D:\DSC-Lab\ws2016\nanoserver\NanoServerImageGenerator'

. .\Convert-WindowsImage.ps1

# Erzeuge dyn. VHDX für Gen2 Hyper-V VM mit Server 2016
Convert-WindowsImage `
  -SourcePath 'D:\DSC-Lab\WS2016\sources\install.wim' `
  -Edition 4 `
  -VHDPath 'E:\Hyper-V\WS2016_GPT_DCGUI.vhdx' `
  -UnattendPath 'D:\DSC-Lab\unattend.xml' `
  -SizeBytes 40GB `
  -VHDFormat VHDX `
  -DiskLayout UEFI

# Details for image Install.wim auf Windows Server 2016 RTM (Eval)
#
# dism /Get-ImageInfo /Imagefile:D:\DSC-Lab\WS2016\sources\install.wim
# 
# Index : 1
# Name : Windows Server 2016 Standard Evaluation
# Description : This option (recommended) reduces management and servicing by installing only what is needed to run most server
# roles and applications. It does not include a GUI, but you can fully manage the server locally or remotely with Windows Power
# Shell or other tools. For more details see "Windows Server Installation Options."
# Size : 8.840.650.521 bytes
# 
# Index : 2
# Name : Windows Server 2016 Standard Evaluation (Desktop Experience)
# Description : This option is useful when a GUI is required-for example, to provide backward compatibility for an application 
# that cannot be run on a Server Core installation. All server roles and features are supported. For more details see "Windows 
# Server Installation Options."
# Size : 14.858.983.050 bytes
# 
# Index : 3
# Name : Windows Server 2016 Datacenter Evaluation
# Description : This option (recommended) reduces management and servicing by installing only what is needed to run most server
# roles and applications. It does not include a GUI, but you can fully manage the server locally or remotely with Windows Power
# Shell or other tools. For more details see "Windows Server Installation Options."
# Size : 8.905.611.811 bytes
# 
# Index : 4
# Name : Windows Server 2016 Datacenter Evaluation (Desktop Experience)
# Description : This option is useful when a GUI is required-for example, to provide backward compatibility for an application 
# that cannot be run on a Server Core installation. All server roles and features are supported. For more details see "Windows 
# Server Installation Options."
# Size : 14.857.373.611 bytes
